
package com.lenovo.lasf.speech.view;

import android.content.Context;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;

import com.lenovo.lasf_lite.R;

public class ScErrorView extends LinearLayout {
    Context mContext;
    OnBtnClickListener mOnClickListener;
    public void setOnClickListener(OnBtnClickListener listener){
        mOnClickListener = listener;
    }
    private Button mBottomBtnStop;
    private Button mBottomBtnCancle;
    public ScErrorView(Context context) {
        super(context);
        mContext = context;
        inflate(context, R.layout.sc_result_error_view, this);
        
        // init view
        findViewById(R.id.lasf_lite_bottom_one_element_layout).setVisibility(View.INVISIBLE);
        findViewById(R.id.lasf_lite_bottom_two_element_layout).setVisibility(View.VISIBLE);
        mBottomBtnStop = (Button) findViewById(R.id.lasf_lite_bottom_left);
        mBottomBtnStop.setText("重说");
        mBottomBtnCancle = (Button) findViewById(R.id.lasf_lite_bottom_right);
        // bind event                
        mBottomBtnStop.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (null != mOnClickListener) {
                    mOnClickListener.onBtnStopClick();
                }
            }
        });
        
        mBottomBtnCancle.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (null != mOnClickListener) {
                    mOnClickListener.onBtnCancelClick();
                }
            }
        });
    }
}
